Package com.independentsoft.office.word

# Class Break

java.lang.Object
com.independentsoft.office.word.Break

All Implemented Interfaces:
  `IContentElement`, `IRunContent`

public class Break extends Object implements IRunContent
The Class Break.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Break()`
  Instantiates a new break.
  `Break​(BreakClear clear)`
  Instantiates a new break.
  `Break​(BreakType type)`
  Instantiates a new break.
  `Break​(BreakType type, BreakClear clear)`
  Instantiates a new break.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Break`
  `clone()`
  `BreakClear`
  `getClear()`
  Gets the clear.
  `List<IContentElement>`
  `getContentElements()`
  `BreakType`
  `getType()`
  Gets the type.
  `void`
  `setClear​(BreakClear clear)`
  Sets the clear.
  `void`
  `setType​(BreakType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Break

    public Break()
    Instantiates a new break.

  - ### Break

    public Break​(BreakClear clear)
    Instantiates a new break.
    Parameters:
      `clear` - the clear

  - ### Break

    public Break​(BreakType type)
    Instantiates a new break.
    Parameters:
      `type` - the type

  - ### Break

    public Break​(BreakType type, BreakClear clear)
    Instantiates a new break.
    Parameters:
      `type` - the type
      `clear` - the clear

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Break clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IRunContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getClear

    public BreakClear getClear()
    Gets the clear.
    Returns:
      the clear

  - ### setClear

    public void setClear​(BreakClear clear)
    Sets the clear.
    Parameters:
      `clear` - the new clear

  - ### getType

    public BreakType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(BreakType type)
    Sets the type.
    Parameters:
      `type` - the new type